
.navbar {
  @include themify($themes) {
    background-color: themed("nav-header-background-color");
    color: themed("nav-header-text-color");
    border-bottom: themed(header-bottom-border);
    box-shadow: themed(header-shadow);
  }

  flex-grow: 1;
  flex-wrap: nowrap;
  height: 3rem;
  padding: 0;
  z-index: 200;

  a:not(.btn), nav-link .nav-link.active-link, .navbar-nav .nav-link {
    @include themify($themes) {
      color: themed("nav-header-text-color");
    }
    cursor: pointer;
  }

  a:hover:not(.btn), nav-link .nav-link.active-link:hover, .navbar-nav .nav-link:hover {
    @include themify($themes) {
      color: themed("nav-header-text-hover-color");
    }
  }

  a.btn:not([href]):not([tabindex]):focus, a.btn:not([href]):not([tabindex]):hover {
    @include themify($themes) {
      color: themed("nav-header-btn-primary-color");
    }
  }

  .btn-primary, .btn-primary:focus {
    @include themify($themes) {
      color: themed("nav-header-btn-primary-color");
      border-color: themed("nav-header-btn-primary-border-color");
      background-color: themed("nav-header-btn-primary-background-color");
    }
  }

  .btn-outline-success:hover, .btn-outline:hover, .btn-primary:hover {
    @include themify($themes) {
      background-color: themed("nav-header-btn-primary-hover-background-color");
    }
  }

  .btn-primary:not(:disabled):not(.disabled).active, .btn-primary:not(:disabled):not(.disabled):active, .show>.btn-primary.dropdown-toggle {
    @include themify($themes) {
      background-color: themed("nav-header-btn-primary-hover-background-color");
    }
  }

  .btn-outline-primary {
    @include themify($themes) {
      color: themed("nav-header-btn-outline-color");
      border-color: themed("nav-header-btn-outline-border-color");
    }
  }

  .btn-outline-primary:hover {
    @include themify($themes) {
      color: themed("nav-header-btn-outline-hover-color");
      background-color: themed("nav-header-btn-outline-hover-background-color");
    }
  }

  .btn-outline-primary:not(:disabled):not(.disabled).active, .btn-outline-primary:not(:disabled):not(.disabled):active, .show>.btn-outline-primary.dropdown-toggle {
    @include themify($themes) {
      color: themed("nav-header-btn-outline-hover-color");
      border-color: themed("nav-header-btn-outline-border-color");
      background-color: themed("nav-header-btn-outline-hover-background-color");
    }
  }
}

.navbar .left-header {
  display: inherit;
  height: inherit;
  align-items: center;
  width: 100%;
}

.navbar .right-header {
  display: inherit;
  height: inherit;
  align-items: center;
  margin-right: 0.25rem;
}

.navbar .nav-container {
  display: flex;
  align-items: center;
}

.navbar ul, .navbar ol {
  list-style: none;
  padding-left: 0px;
}

.navbar hci-ul, .navbar .hci-ul {
  height: inherit;
  align-items: center;
}

.navbar ul {
  margin-bottom: 0;
}

.navbar .dropdown-toggle.no-caret::after {
  display: none;
}

.navbar .dropdown-item {
  color: black;
}

.navbar .dropdown-item:hover {
  color: gray;
}

.navbar .nav-link {
  padding: 0.25rem 0.5rem;
}

.navbar-dark .dropdown-menu a {
  color: black;
}

hci-brand-a {
  display: flex;
}

hci-brand-span {
  font-weight: 600;
  padding-left: 0.5rem;
}

.navbar .hci-li-img {
  height: 2rem;
}

.navbar .btn-primary, .navbar .btn-outline, .navbar .btn-outline-success {
  padding: 0.1rem 0.5rem;
}

.navbar .btn-primary:hover, .navbar .btn-outline:hover, .navbar .btn-outline-success:hover {
  background-color: rgba(255, 255, 255, 0.25);
}

.navbar .btn-primary:active, .navbar .btn-outline:active, .navbar .btn-outline-success:active,
.navbar .btn-primary:focus, .navbar .btn-outline:focus, .navbar .btn-outline-success:focus {
  color: white;
  background-color: inherit;
  box-shadow: none;
}

.navbar .disabled {
  opacity: .4;
  cursor: default;
  pointer-events: none;
}

/* Icons */
.navbar .hci-fa-xlg {
  font-size: 1.75em;
  vertical-align: -0.35em;
}
